Get specific API key
curl --request GET \
--url https://api.basic.tech/project/{id}/key/{key_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.basic.tech/project/{id}/key/{key_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.basic.tech/project/{id}/key/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"id": "<string>",
"label": "<string>",
"roles": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}API Keys
Get specific API key
Retrieves details of a specific API key for the project
GET
/
project
/
{id}
/
key
/
{key_id}
Get specific API key
Authorizations
bearerAuthapiKeyAuth
JWT Authorization Token header using the Bearer scheme
Path Parameters
Unique identifier of the project
Unique identifier of the API key
Response
API key details retrieved successfully
API key details retrieved successfully
Show child attributes
Show child attributes
⌘I

